Bug 1129104 - port 8080 in use causes katello-installer to fail
Summary: port 8080 in use causes katello-installer to fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.0.3
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: David O'Brien
QA Contact: Athene Chan
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-12 08:59 UTC by Pavel Moravec
Modified: 2015-05-11 22:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:26:29 UTC


Attachments (Terms of Use)

Description Pavel Moravec 2014-08-12 08:59:23 UTC
Description of problem:
When a process listens on port 8080, katello-installer fails to succeed, logging weird tomcat6 start error.

No doc mentions that port to be free.


Version-Release number of selected component (if applicable):
(not sure, coming from Sat6 testing day)


How reproducible:
100%


Steps to Reproduce:
1. Have any process listening on port 8080
2. launch katello-installer


Actual results:
Could not start Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 start' returned 5: Starting tomcat6: [  OK  ]
 /Stage[main]/Candlepin::Service/Service[tomcat6]/ensure: change from stopped to running failed: Could not start Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 start' returned 5: Starting tomcat6: [  OK  ]
 /Stage[main]/Candlepin::Service/Service[tomcat6]: Failed to call refresh: Could not restart Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 restart' returned 5: Stopping tomcat6: [  OK  ]
 /Stage[main]/Candlepin::Service/Service[tomcat6]: Could not restart Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 restart' returned 5: Stopping tomcat6: [  OK  ]
 /Stage[main]/Candlepin::Service/Exec[cpinit]: Failed to call refresh: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 8 instead of one of [0]
 /Stage[main]/Candlepin::Service/Exec[cpinit]: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 8 instead of one of [0]
 /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]
 /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]
Installing             Done                                               [100%] [..........................................................................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/katello-installer/katello-installer.log


Expected results:
Some better error log to be provided (katello-installer.log does not have anything usable, I had to check catalina.out)

Installation doc should mention port 8080 to be free.


Additional info:

Comment 3 David O'Brien 2014-08-14 02:24:18 UTC
http://docbuilder.usersys.redhat.com/14370/#Prerequisites3

Patched to include requirement for and usage of 8080. Updated iptables config.

Comment 4 Bryan Kearney 2014-09-11 12:26:29 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.